test-api:
  image: oven/bun:alpine
  cache:
    paths:
      - /api/node_modules/
  script:
    - cd api
    - bun install
    - bun test
  rules:
    - if: '$CI_COMMIT_BRANCH != "master"'

build-api:
  image: oven/bun:alpine
  cache:
    paths:
      - /api/node_modules/
  artifacts:
    paths:
      - public
  script:
    - cd api
    - bun install
    - FROM_DATE='2020-01-01' OUTPUT_PATH='../public/data/papercuts' bun run build
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
    - changes:
        - api/**/*
        - frontend/**/*

pages:
  image: node:18.18-alpine
  before_script:
    - apk --update --no-cache add bash curl gzip
    - yarn install --frozen-lockfile
  cache:
    paths:
      - frontend/node_modules/
  needs: ["build-api"]
  artifacts:
    paths:
      - public
  script:
    - cd frontend
    - yarn install
    - yarn run build
    #- yarn run build --base=/${CI_PROJECT_PATH#*/}/
  rules:
    - if: '$CI_COMMIT_BRANCH == "master"'
    - changes:
        - api/**/*
        - frontend/**/*
